Skip to content

bi ​

← All modules

10 endpoints.

GET /api/v1/bi/sources/{slug}/fields ​

Source Fields

Parameters

NameInRequiredTypeDescription
slugpathyesstring

200 — Successful Response

json
{}

422 — Validation Error

json
{
  "properties": {
    "detail": {
      "items": {
        "properties": {
          "loc": {
            "items": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "integer"
                }
              ]
            },
            "type": "array",
            "title": "Location"
          },
          "msg": {
            "type": "string",
            "title": "Message"
          },
          "type": {
            "type": "string",
            "title": "Error Type"
          }
        },
        "type": "object",
        "required": [
          "loc",
          "msg",
          "type"
        ],
        "title": "ValidationError"
      },
      "type": "array",
      "title": "Detail"
    }
  },
  "type": "object",
  "title": "HTTPValidationError"
}

GET /api/v1/bi/sources/{slug}/aggregate ​

Source Aggregate

Parameters

NameInRequiredTypeDescription
slugpathyesstring
measurequerynostring
fieldqueryno
group_byqueryno
bucketqueryno
date_fieldqueryno
date_fromqueryno
date_toqueryno
filtersqueryno
sortquerynostring
limitquerynointeger
include_inactivequerynoboolean

200 — Successful Response

json
{}

422 — Validation Error

json
{
  "properties": {
    "detail": {
      "items": {
        "properties": {
          "loc": {
            "items": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "integer"
                }
              ]
            },
            "type": "array",
            "title": "Location"
          },
          "msg": {
            "type": "string",
            "title": "Message"
          },
          "type": {
            "type": "string",
            "title": "Error Type"
          }
        },
        "type": "object",
        "required": [
          "loc",
          "msg",
          "type"
        ],
        "title": "ValidationError"
      },
      "type": "array",
      "title": "Detail"
    }
  },
  "type": "object",
  "title": "HTTPValidationError"
}

GET /api/v1/bi/dashboards ​

List Dashboards

200 — Successful Response

json
{}

POST /api/v1/bi/dashboards ​

Create Dashboard

Request body

json
{
  "properties": {
    "name": {
      "type": "string",
      "maxLength": 120,
      "minLength": 1,
      "title": "Name"
    },
    "config": {
      "additionalProperties": true,
      "type": "object",
      "title": "Config"
    },
    "share": {
      "properties": {
        "mode": {
          "type": "string",
          "pattern": "^(private|site|people)$",
          "title": "Mode",
          "default": "private"
        },
        "user_ids": {
          "items": {
            "type": "integer"
          },
          "type": "array",
          "maxItems": 500,
          "title": "User Ids"
        },
        "roles": {
          "items": {
            "type": "string"
          },
          "type": "array",
          "maxItems": 50,
          "title": "Roles"
        }
      },
      "type": "object",
      "title": "ShareIn"
    }
  },
  "type": "object",
  "required": [
    "name"
  ],
  "title": "DashboardIn"
}

200 — Successful Response

json
{}

422 — Validation Error

json
{
  "properties": {
    "detail": {
      "items": {
        "properties": {
          "loc": {
            "items": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "integer"
                }
              ]
            },
            "type": "array",
            "title": "Location"
          },
          "msg": {
            "type": "string",
            "title": "Message"
          },
          "type": {
            "type": "string",
            "title": "Error Type"
          }
        },
        "type": "object",
        "required": [
          "loc",
          "msg",
          "type"
        ],
        "title": "ValidationError"
      },
      "type": "array",
      "title": "Detail"
    }
  },
  "type": "object",
  "title": "HTTPValidationError"
}

PUT /api/v1/bi/dashboards/{board_id} ​

Update Dashboard

Parameters

NameInRequiredTypeDescription
board_idpathyesinteger

Request body

json
{
  "properties": {
    "name": {
      "anyOf": [
        {
          "type": "string",
          "maxLength": 120,
          "minLength": 1
        },
        {
          "type": "null"
        }
      ],
      "title": "Name"
    },
    "config": {
      "anyOf": [
        {
          "additionalProperties": true,
          "type": "object"
        },
        {
          "type": "null"
        }
      ],
      "title": "Config"
    },
    "share": {
      "anyOf": [
        {
          "properties": {
            "mode": {
              "type": "string",
              "pattern": "^(private|site|people)$",
              "title": "Mode",
              "default": "private"
            },
            "user_ids": {
              "items": {
                "type": "integer"
              },
              "type": "array",
              "maxItems": 500,
              "title": "User Ids"
            },
            "roles": {
              "items": {
                "type": "string"
              },
              "type": "array",
              "maxItems": 50,
              "title": "Roles"
            }
          },
          "type": "object",
          "title": "ShareIn"
        },
        {
          "type": "null"
        }
      ]
    }
  },
  "type": "object",
  "title": "DashboardPatch"
}

200 — Successful Response

json
{}

422 — Validation Error

json
{
  "properties": {
    "detail": {
      "items": {
        "properties": {
          "loc": {
            "items": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "integer"
                }
              ]
            },
            "type": "array",
            "title": "Location"
          },
          "msg": {
            "type": "string",
            "title": "Message"
          },
          "type": {
            "type": "string",
            "title": "Error Type"
          }
        },
        "type": "object",
        "required": [
          "loc",
          "msg",
          "type"
        ],
        "title": "ValidationError"
      },
      "type": "array",
      "title": "Detail"
    }
  },
  "type": "object",
  "title": "HTTPValidationError"
}

DELETE /api/v1/bi/dashboards/{board_id} ​

Delete Dashboard

Parameters

NameInRequiredTypeDescription
board_idpathyesinteger

200 — Successful Response

json
{}

422 — Validation Error

json
{
  "properties": {
    "detail": {
      "items": {
        "properties": {
          "loc": {
            "items": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "integer"
                }
              ]
            },
            "type": "array",
            "title": "Location"
          },
          "msg": {
            "type": "string",
            "title": "Message"
          },
          "type": {
            "type": "string",
            "title": "Error Type"
          }
        },
        "type": "object",
        "required": [
          "loc",
          "msg",
          "type"
        ],
        "title": "ValidationError"
      },
      "type": "array",
      "title": "Detail"
    }
  },
  "type": "object",
  "title": "HTTPValidationError"
}

POST /api/v1/bi/dashboards/{board_id}/duplicate ​

Duplicate Dashboard

Parameters

NameInRequiredTypeDescription
board_idpathyesinteger

200 — Successful Response

json
{}

422 — Validation Error

json
{
  "properties": {
    "detail": {
      "items": {
        "properties": {
          "loc": {
            "items": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "integer"
                }
              ]
            },
            "type": "array",
            "title": "Location"
          },
          "msg": {
            "type": "string",
            "title": "Message"
          },
          "type": {
            "type": "string",
            "title": "Error Type"
          }
        },
        "type": "object",
        "required": [
          "loc",
          "msg",
          "type"
        ],
        "title": "ValidationError"
      },
      "type": "array",
      "title": "Detail"
    }
  },
  "type": "object",
  "title": "HTTPValidationError"
}

GET /api/v1/bi/share-targets ​

Share Targets

Who a board can be shared with: this site's active staff (Reports is a staff surface, so a customer login is never offered), plus the role names.

200 — Successful Response

json
{}

GET /api/v1/bi/display ​

Get Display

Parameters

NameInRequiredTypeDescription
keyqueryyesstring

200 — Successful Response

json
{}

422 — Validation Error

json
{
  "properties": {
    "detail": {
      "items": {
        "properties": {
          "loc": {
            "items": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "integer"
                }
              ]
            },
            "type": "array",
            "title": "Location"
          },
          "msg": {
            "type": "string",
            "title": "Message"
          },
          "type": {
            "type": "string",
            "title": "Error Type"
          }
        },
        "type": "object",
        "required": [
          "loc",
          "msg",
          "type"
        ],
        "title": "ValidationError"
      },
      "type": "array",
      "title": "Detail"
    }
  },
  "type": "object",
  "title": "HTTPValidationError"
}

PUT /api/v1/bi/display ​

Put Display

Request body

json
{
  "properties": {
    "key": {
      "type": "string",
      "maxLength": 160,
      "minLength": 1,
      "title": "Key"
    },
    "prefs": {
      "additionalProperties": true,
      "type": "object",
      "title": "Prefs"
    }
  },
  "type": "object",
  "required": [
    "key",
    "prefs"
  ],
  "title": "DisplayIn"
}

200 — Successful Response

json
{}

422 — Validation Error

json
{
  "properties": {
    "detail": {
      "items": {
        "properties": {
          "loc": {
            "items": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "integer"
                }
              ]
            },
            "type": "array",
            "title": "Location"
          },
          "msg": {
            "type": "string",
            "title": "Message"
          },
          "type": {
            "type": "string",
            "title": "Error Type"
          }
        },
        "type": "object",
        "required": [
          "loc",
          "msg",
          "type"
        ],
        "title": "ValidationError"
      },
      "type": "array",
      "title": "Detail"
    }
  },
  "type": "object",
  "title": "HTTPValidationError"
}

Lubb One Documentation